=== debian/changelog ===
mupen64plus-audio-sdl (2.5-5) unstable; urgency=medium

  * debian/rules
    - Allow one to override pkg-config for crossbuilds
  * debian/control
    - Automatically select correct Vcs-Git branch
    - Upgraded to policy 4.4.0, no changes required
    - Switch to debhelper 12
  * debian/copyright
    - Update copyright years to 2019

 -- Sven Eckelmann <sven@narfation.org>  Tue, 27 Aug 2019 22:41:30 +0200

mupen64plus-audio-sdl (2.5-4) unstable; urgency=medium

  * debian/control
    - Change Vcs-Git to https://
    - update to debhelper 10
    - Move VCS-* to salsa.debian.org
  * Change debian URLs to https://
  * Sort debian control files with `wrap-and-sort -abst`
  * Upgraded to policy 4.2.1
    - remove get-orig-source rule from debian/rules
  * debian/copyright:
    - Update copyright years
  * debian/rules
    - Remove ddeb migration conflict against pre-stretch package
    - Drop (now default) parameter --parallel for dch

 -- Sven Eckelmann <sven@narfation.org>  Thu, 18 Oct 2018 21:48:01 +0200

mupen64plus-audio-sdl (2.5-3) unstable; urgency=medium

  * debian/control, debian/rules:
     - Drop mupen64plus-audio-sdl-dbg in favor of -dbgsym package
  * Update copyright years in debian/copyright

 -- Sven Eckelmann <sven@narfation.org>  Fri, 01 Jan 2016 12:23:18 +0100

mupen64plus-audio-sdl (2.5-2) unstable; urgency=medium

  * debian/control:
    - Change Vcs-Browser to new alioth CGit URL
    - Move Vcs URLs from collab-maint to pkg-games
    - Update upstream URLs
    - Set Maintainer to Debian Games Team

 -- Sven Eckelmann <sven@narfation.org>  Thu, 26 Nov 2015 07:50:49 +0100

mupen64plus-audio-sdl (2.5-1) unstable; urgency=medium

  * New Upstream Version
  * Upload to unstable
  * Upgraded to policy 3.9.6, no changes required
  * Update debian/copyright
    - Update years
    - Fix errors in paths to specific files

 -- Sven Eckelmann <sven@narfation.org>  Fri, 01 May 2015 15:59:07 +0200

mupen64plus-audio-sdl (2.0+9+g0bc2238-1) experimental; urgency=medium

  * New Upstream Snapshot from 0bc2238682cfeb249ffd2f47b65b10e65df75c09

 -- Sven Eckelmann <sven@narfation.org>  Fri, 05 Sep 2014 10:46:05 +0200

mupen64plus-audio-sdl (2.0-2) unstable; urgency=low

  * Upgraded to policy 3.9.5, no changes required
  * debian/watch:
    - Change upstream check from bitbucket to github
  * debian/copyright:
    - Change upstream source to github
  * debian/get-orig-source.sh
    - Change upstream repository to github
    - Change SCM from Mercurial to Git
  * Update copyright years in debian/copyright
  * Move keyring for signature verification to new debian/upstream/
  * debian/rules:
    - Use Largefile Support enabled C API

 -- Sven Eckelmann <sven@narfation.org>  Sat, 30 Aug 2014 16:10:45 +0200
