=== debian/control ===
Source: mupen64plus-audio-sdl
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Sven Eckelmann <sven@narfation.org>,
 Tobias Loose <TobiasLoose@gmx.de>,
Standards-Version: 4.4.0
Homepage: http://mupen64plus.org/
Vcs-Git: https://salsa.debian.org/games-team/mupen64plus-audio-sdl.git -b master
Vcs-Browser: https://salsa.debian.org/games-team/mupen64plus-audio-sdl
Build-Depends:
 debhelper-compat (= 12),
 dpkg-dev (>= 1.16.1.1),
 libmupen64plus-dev (>= 1.99.5),
 libsamplerate0-dev | libsamplerate-dev,
 libsdl2-dev,
 libspeexdsp-dev,
 pkg-config,

Package: mupen64plus-audio-sdl
Architecture: any-amd64 any-i386
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 mupen64plus-audio-abi-2,
 mupen64plus-config-abi-2.2,
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 mupen64plus-audio,
Breaks:
 libmupen64plus2 (<< 2.0),
Description: sdl audio output plugin for mupen64plus
 Audio output plugin for mupen64plus which can be used with all audio devices
 which are supported by Simple DirectMedia Layer. It supports hardware volume
 control through oss mixer or application specific volume through SDL.
