=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Uploaders:
  Sven Eckelmann <sven@narfation.org>,
  Tobias Loose <TobiasLoose@gmx.de>,
-Standards-Version: 4.3.0
-Homepage: http://mupen64plus.org/
-Vcs-Git: https://salsa.debian.org/games-team/mupen64plus-audio-sdl.git
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
+Homepage: https://mupen64plus.org/
+Vcs-Git: https://salsa.debian.org/games-team/mupen64plus-audio-sdl.git -b debian/unstable
 Vcs-Browser: https://salsa.debian.org/games-team/mupen64plus-audio-sdl
 Build-Depends:
- debhelper (>= 12),
- dpkg-dev (>= 1.16.1.1),
- libmupen64plus-dev (>= 1.99.5),
+ debhelper-compat (= 13),
+ libmupen64plus-dev,
  libsamplerate0-dev | libsamplerate-dev,
  libsdl2-dev,
  libspeexdsp-dev,
@@ -30,8 +30,6 @@
  ${shlibs:Depends},
 Provides:
  mupen64plus-audio,
-Breaks:
- libmupen64plus2 (<< 2.0),
 Description: sdl audio output plugin for mupen64plus
  Audio output plugin for mupen64plus which can be used with all audio devices
  which are supported by Simple DirectMedia Layer. It supports hardware volume
