=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Sven Eckelmann <sven@narfation.org>,
  Tobias Loose <TobiasLoose@gmx.de>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://mupen64plus.org/
 Vcs-Git: https://salsa.debian.org/games-team/mupen64plus-audio-sdl.git -b debian/unstable
@@ -16,7 +16,7 @@
  libsamplerate0-dev | libsamplerate-dev,
  libsdl2-dev,
  libspeexdsp-dev,
- pkg-config,
+ pkgconf,
 
 Package: mupen64plus-audio-sdl
 Architecture: any-amd64 any-i386
